diff tests/test-printf-posix.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents b6ae7b58fba1
children
line wrap: on
line diff
--- a/tests/test-printf-posix.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-printf-posix.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -4,7 +4,7 @@
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-printf-posix.tmp t-printf-posix.out"
-./test-printf-posix${EXEEXT} > t-printf-posix.tmp || exit 1
+${CHECKER} ./test-printf-posix${EXEEXT} > t-printf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-printf-posix.tmp > t-printf-posix.out || exit 1
 
 : ${DIFF=diff}